Package org.acplt.oncrpc

## Class OncRpcGetPortResult

- java.lang.Object
- - org.acplt.oncrpc.OncRpcGetPortResult

- All Implemented Interfaces:
    `XdrAble`

      public class OncRpcGetPortResult
      extends java.lang.Object
      implements XdrAble

  The `OncRpcGetPortResult` class represents the result from a PMAP_GETPORT remote procedure call to the ONC/RPC portmapper.
  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:41 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `port` | The port number of the ONC/RPC in question.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OncRpcGetPortResult()` | Default constructor for initializing an `OncRpcGetPortParams` result object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `xdrDecode​(XdrDecodingStream xdr)` | Decodes -- that is: deserializes -- an `OncRpcGetPortParams` object from a XDR stream.
    `void` | `xdrEncode​(XdrEncodingStream xdr)` | Encodes -- that is: serializes -- an `OncRpcGetPortParams` object into a XDR stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### port

          public int port

      The port number of the ONC/RPC in question. This is the only interesting piece of information in this class. Go live with it, you don't have alternatives.

  - ### Constructor Detail

    - #### OncRpcGetPortResult

          public OncRpcGetPortResult()

      Default constructor for initializing an `OncRpcGetPortParams` result object. It sets the `port` member to a useless value.

  - ### Method Detail

    - #### xdrEncode

          public void xdrEncode​(XdrEncodingStream xdr)
                         throws OncRpcException,
                                java.io.IOException

      Encodes -- that is: serializes -- an `OncRpcGetPortParams` object into a XDR stream.
      Specified by:
        `xdrEncode` in interface `XdrAble`
      Parameters:
        `xdr` - XDR stream to which information is sent for encoding.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.

    - #### xdrDecode

          public void xdrDecode​(XdrDecodingStream xdr)
                         throws OncRpcException,
                                java.io.IOException

      Decodes -- that is: deserializes -- an `OncRpcGetPortParams` object from a XDR stream.
      Specified by:
        `xdrDecode` in interface `XdrAble`
      Parameters:
        `xdr` - XDR stream from which decoded information is retrieved.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.